package com.uas.search.console.b2b.model;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

/**
 * 买家的委外验退单明细
 * 
 * @author aof
 * @date 2015年8月26日
 */
@Table(name = "make$returnitem")
@Entity
public class MakeReturnItemSimpleInfo {

	/**
	 * 主键ID
	 */
	@Id
	@Column(name = "mri_id")
	private Long id;

	/**
	 * 委外订单
	 */
	@OneToOne(cascade = { CascadeType.REFRESH })
	@JoinColumn(name = "mri_odid", insertable = false, updatable = false)
	private MakeOrderSimpleInfo order;

	/**
	 * 入库批号
	 */
	@Column(name = "mri_batchcode")
	private String batchCode;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public MakeOrderSimpleInfo getOrder() {
		return order;
	}

	public void setOrder(MakeOrderSimpleInfo order) {
		this.order = order;
	}

	public String getBatchCode() {
		return batchCode;
	}

	public void setBatchCode(String batchCode) {
		this.batchCode = batchCode;
	}

	@Override
	public String toString() {
		return "MakeReturnItemSimpleInfo [id=" + id + ", order=" + order + ", batchCode=" + batchCode + "]";
	}

}